<!doctype html>
<html lang="en" th:lang="#{lang}" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head th:fragment="head">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="Description" content="Půjčovna nářadí, dopravních prostředků, strojů a další..."/>
    <meta name="Keywords" content="půjčovna, nářadí, stavba, stroje, dopravní prostředky"/>
    <meta name="author" content="David Nekolný">
    <title>MiniPŮJČOVNA</title>

    <!-- ICON -->
    <link rel="apple-touch-icon" sizes="180x180" th:href="@{/imgs/favicon/apple-touch-icon.png}">
    <link rel="icon" type="image/png" sizes="32x32" th:href="@{/imgs/favicon/favicon-32x32.png}">
    <link rel="icon" type="image/png" sizes="16x16" th:href="@{/imgs/favicon/favicon-16x16.png}">
    <link rel="manifest" th:href="@{/imgs/favicon/site.webmanifest}">
    <link rel="mask-icon" th:href="@{/imgs/favicon/safari-pinned-tab.svg}" color="#f7b432">
    <meta name="msapplication-TileColor" content="#ffc40d">
    <meta name="theme-color" content="#f7b432">

    <link href="https://fonts.googleapis.com/css?family=Montserrat:700|Nunito:800|Oswald:500&display=swap"
          rel="stylesheet">

    <!--CSS -->
    <link th:href="@{/webjars/bootstrap/4.3.0/css/bootstrap.min.css}" rel="stylesheet">
    <!--<link th:href="@{/css/survey/style.css}" rel="stylesheet">-->
    <link th:href="@{/css/bootstrap.extension.css}" rel="stylesheet">
    <link th:href="@{/css/style.css}" rel="stylesheet">

    <!--SCRIPTS-->
    <script th:src="@{/webjars/jquery/3.3.1/jquery.min.js}"></script>
    <script th:src="@{/webjars/bootstrap/4.3.0/js/bootstrap.bundle.min.js}"></script>
    <!--<script th:src="@{/js/survey/index.js}"></script>-->
    <script th:src="@{/js/all.min.js}"></script>
    <script th:src="@{/js/script.js}"></script>
    <script th:src="@{/js/feather/feather.js}"></script>
</head>
<body>

<!--ukázka SEC:AUTHORIZE-->
<div sec:authorize="isAuthenticated()"></div>
<div sec:authorize="isAnonymous()"></div>
<div sec:authorize="hasRole('ADMIN')"></div>

<!--MENU-->
<header id="top" th:fragment="header(page)">
    <nav class="navbar navbar-dark navbar-expand-md pt-1 pb-1 px-md-4 shadow-bottom bg-orange">
        <div class="container-fluid container-lg p-0">
            <a class="navbar-brand navbar-title" th:href="@{/}">
                <span id="title-icon">
                    <i class="fas fa-tools"></i>
                </span>
                <span id="navbar-title-text">
                    Mini<span class="navbar-title-part">PŮJČOVNA</span>
                </span>
            </a>

            <button class="navbar-toggler ml-auto" type="button" data-toggle="collapse" data-target="#navbar"
                    aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse clearfix" id="navbar">
                <ul class="navbar-nav ml-auto mr-2 mb-2 float-left float-md-none">
                    <li class="nav-item" th:classappend="${page == 'sortiment'} ? 'active'">
                        <a class="nav-link" th:href="@{/}">SORTIMENT</a>
                    </li>
                    <li class="nav-item" th:classappend="${page == 'contact'} ? 'active'">
                        <a class="nav-link" th:href="@{/contact}">KONTAKT</a>
                    </li>
                    <li sec:authorize="hasRole('ADMIN')" class="nav-item"
                        th:classappend="${page == 'admin'} ? 'active'">
                        <a class="nav-link" th:href="@{/admin/borrow/new}">ADMIN</a>
                    </li>
                </ul>

                <!-- USER MENU -->
                <div class="float-right float-md-none h-100" sec:authorize="isAuthenticated()">
                    <form method="post" th:action="@{/menu/logout}">
                        <input type="hidden" name="origUrl" th:value="${#httpServletRequest.requestURI}">

                        <button class="btn btn-sm rounded-pill btn-dark ml-2" type="submit"
                                data-toggle="tooltip" data-placement="bottom" title="Odhlásit se">
                            <i class="fas fa-sign-out-alt"></i>
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </nav>

    <a id="btn-up" href="#top"><i class="fas fa-chevron-up h-100 w-100"></i></a>

</header>

<!--CAROUSEL-->
<div th:fragment="carousel" id="carouselExampleSlidesOnly" class="carousel" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100">
        </div>
    </div>
</div>

<!--CAROUSEL SMALL-->
<div th:fragment="carousel-sm" id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100 shadow-bottom">
            <div class="container">
            </div>
        </div>
    </div>
</div>

<!--CAROUSEL SMALL WITH TITLE-->
<div th:fragment="carousel-sm-title(title)" id="carouselExampleSlidesOnly" class="carousel-sm" data-ride="carousel">
    <div class="carousel-inner">
        <div class="carousel-item carousel-img active h-100 shadow-bottom">
            <div class="container">
                <p th:text="${title}" class="text-white h1 mt-5 ml-5">Registrace</p>
            </div>
        </div>
    </div>
</div>

<!-- SIDE NAV-->
<nav class="sideNav nav flex-column bg-light" th:fragment="sideNav(active)">
    <h6 class="d-flex justify-content-between align-items-center px-2 mt-3 mb-1 text-muted">
        <span>Profil</span>
    </h6>
    <a class="nav-link" th:href="@{/borrows}" th:classappend="${active} == 'borrows' ? 'active' : ''">
        <i data-feather="clock"></i>
        Moje rezervace
    </a>
    <a class="nav-link" th:href="@{/profile}" th:classappend="${active} == 'profile' ? 'active' : ''">
        <i data-feather="user"></i>
        Údaje
    </a>
</nav>

<!--ADMIN SIDE NAV-->
<div id="sideDiv" th:fragment="adminSideNav(active)">
    <nav class="sideNav nav flex-column bg-light">
        <h6 class="d-flex justify-content-between align-items-center px-2 mt-2 mb-1 text-muted">
            <span>Rezervace</span>
            <a class="align-items-center text-muted" th:href="@{/admin/borrow/new}">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                     stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                     class="feather feather-plus-circle">
                    <circle cx="12" cy="12" r="10"></circle>
                    <line x1="12" y1="8" x2="12" y2="16"></line>
                    <line x1="8" y1="12" x2="16" y2="12"></line>
                </svg>
            </a>
        </h6>
        <div class="d-flex flex-wrap flex-lg-column">
            <a class="nav-link" th:href="@{/admin/borrows}" th:classappend="${active} == 'borrows' ? 'active' : ''">
                <i data-feather="share"></i>
                Výpůjčky
            </a>
            <a class="nav-link" th:href="@{/admin/reservations}"
               th:classappend="${active} == 'reservations' ? 'active' : ''">
                <i data-feather="clock"></i>
                Rezervace
            </a>

            <a class="nav-link" th:href="@{/admin/products}" th:classappend="${active} == 'products' ? 'active' : ''">
                <i data-feather="tool"></i>
                Produkty
            </a>
        </div>
        <!--<a class="nav-link disabled text-muted" th:href="@{/admin/calendar}"
           th:classappend="${active} == 'calendar' ? 'active' : ''">
            <i data-feather="calendar"></i>
            Kalendář
        </a>-->
        <h6 class="d-flex justify-content-between align-items-center px-2 mt-3 mb-1 text-muted">
            <span>Zákazníci</span>
            <a class="d-flex align-items-center text-muted" th:href="@{/admin/user/new}">
                <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
                     stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                     class="feather feather-plus-circle">
                    <circle cx="12" cy="12" r="10"></circle>
                    <line x1="12" y1="8" x2="12" y2="16"></line>
                    <line x1="8" y1="12" x2="16" y2="12"></line>
                </svg>
            </a>
        </h6>
        <div class="d-flex flex-wrap flex-lg-column">
            <a class="nav-link" th:href="@{/admin/users}" th:classappend="${active} == 'users' ? 'active' : ''">
                <i data-feather="users"></i>
                Zákazníci
            </a>
            <a class="nav-link" th:href="@{/admin/profile}" th:classappend="${active} == 'profile' ? 'active' : ''">
                <i data-feather="user"></i>
                Profil
            </a>
        </div>
    </nav>


    <div class="row no-guttersf">
        <div class="col-12 pr-lg-3">
            <a class="btn btn-sm btn-outline-success w-100 mt-2" th:href="@{/admin/borrow/new}">
                <i class="far fa-clock"></i>
                Nová rezervace
            </a>
        </div>
        <!--<div class="col-6 col-lg-12 pl-1 pl-lg-3">
            <a class="btn btn-sm btn-outline-orange w-100 mt-2" th:href="@{/admin/borrow/return}">
                <i class="fas fa-exchange-alt"></i>
                Vrácení
            </a>
        </div>-->
    </div>
</div>

<div th:fragment="alerts">
    <div th:if="${errorMessage != null}" class="alert alert-danger alert-dismissible fade show" role="alert">
        <span th:text="${errorMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div th:if="${successMessage != null}" class="alert alert-success alert-dismissible fade show" role="alert">
        <span th:text="${successMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>

    <div th:if="${warningMessage != null}" class="alert alert-warning alert-dismissible fade show" role="alert">
        <span th:text="${warningMessage}"/>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
</div>


<!-- SPINNER -->
<div th:fragment="spinner">
    <div id="spinner-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle"
         style="display: none;" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-sm" role="document">
            <div class="modal-content">
                <div class="modal-body text-center">
                    <div class="mb-3 mt-2">
                        <div class="spinner-border text-dark" role="status">
                            <span class="sr-only">Loading...</span>
                        </div>
                    </div>
                    <div>
                        <h5 id="spinner-title" class="mb-3"></h5>
                        <p id="spinner-message" class="mb-0"></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- FOOTER -->
<footer id="footer" class="border-top p-4" th:fragment="footer">

    <!-- TOAST -->
    <div id="toast"></div>

    <div class="container">
        <div class="d-flex justify-content-between">
            <div>
                <img id="footerTitleImg" class="mb-3" th:src="@{/imgs/title_bw.png}">
                <div class="d-flex d-sm-none mb-3 flex-column">
                    <div id="footerNav" class="text-uppercase list-unstyled d-block d-md-flex justify-content-end">
                        <a th:href="@{/}">Sotiment</a>
                        <a th:href="@{/contact}">Kontakt</a>
                        <a sec:authorize="hasRole('ADMIN')" th:href="@{/admin/borrow/new}">Admin</a>
                    </div>
                </div>
                <div class="text-white-50 smaller ml-2">
                    <p>Ing. Michal Rybár</p>
                    <p class="cursor-pointer"
                       onclick="copyTextToClipboard('Sušilova 61, 78901 Zábřeh'); showToast('Adresa byla zkopírována')">
                        Sušilova 61, 78901 Zábřeh
                    </p>
                    <p>
                        <a href="mailto:info@minipujcovna.cz" class="text-white-50 text-decoration-none">
                            info@minipujcovna.cz
                        </a>
                    </p>
                    <p>
                        <a href="tel:+420608711044" class="text-white-50 text-decoration-none">
                            +420 608 711 044
                        </a>
                    </p>
                </div>
            </div>
            <div class="d-none d-sm-flex pl-2 pt-3 flex-column">
                <div id="footerNav" class="text-uppercase list-unstyled d-block d-md-flex justify-content-end">
                    <a th:href="@{/}">Sotiment</a>
                    <a th:href="@{/contact}">Kontakt</a>
                    <a sec:authorize="hasRole('ADMIN')" th:href="@{/admin/borrow/new}">Admin</a>
                </div>
                <a class="text-white-50 smaller ml-auto mt-auto mr-2" sec:authorize="isAnonymous()" th:href="@{/admin}">
                    <i class="fas fa-door-open fa-lg"></i>
                </a>
            </div>
        </div>
    </div>
    <div id="footer-bottom" class="container mt-3 pt-3 small text-white-50 d-flex flex-wrap">
        <div class="mr-4 mt-2">
            <span>&copy; 2019 MiniPůjčovna.cz</span>
        </div>
        <div class="ml-auto mt-2">
            <span>Vytvořil <a class="text-white-50" href="mailto:neky.david@gmail.com">David Nekolný</a></span>
        </div>
    </div>

</footer>


<!--  ================================================ OLD ================================================ -->

<!-- header - LOGIN -->
<div class="dropdown float-right float-md-none" sec:authorize="!isAuthenticated()">
    <button id="btn-login" class="btn btn-outline-light rounded-circle" type="button">
        <!-- img src="imgs/user.png" style="width:16px; color: white;" -->
        <i id="btn-login-icon" class="fas fa-user"></i>
    </button>
    <div id="login-form" class="dropdown-content"
         th:styleappend="${loginError} ? 'display: block;' : 'display: none;'">
        <form method="POST" class="mb-2 needs-validation" th:action="@{/menu/login}" novalidate>
            <input type="hidden" name="origUrl" th:value="${#httpServletRequest.requestURI}"/>
            <div th:if="${loginError}" class="alert alert-danger alert-dismissible fade show"
                 role="alert">
                                    <span>
                                        Špatné heslo nebo email
                                    </span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="mb-1">
                <label class="mb-1" for="email">Email:</label>
                <input id="email" name="email" class="form-control" type="email" required>
                <span class="text-danger invalid-feedback">vyplňte validní email</span>
            </div>
            <div class="mb-1">
                <label class="mb-1" for="password">Heslo:</label>
                <input id="password" name="password" class="form-control" type="password" required>
                <span class="text-danger invalid-feedback">heslo je povinné</span>
            </div>
            <button class="btn w-100 btn-orange">Přihlásit se</button>
        </form>
        <a class="btn btn-sm btn-outline-success w-100" th:href="@{/register}">Registrovat se</a>
    </div>
</div>

<!-- header - USER MENU -->
<div class="dropdown float-right float-md-none" sec:authorize="isAuthenticated()">
    <button id="btn-login" class="btn rounded-pill"
            th:classappend="${page == 'user'} ? 'btn-dark' : 'btn-light'" type="button">
        <i id="btn-login-icon" class="fas fa-user"></i>
        <span id="btn-login-user-name" th:if="${currentUser != null}">
                            <span th:text="${currentUser.name}"></span>
                            <span class="d-none d-lg-inline" th:text="${currentUser.surname}"></span>
                        </span>
        <!--th:text="${T(cz.david.minirental.model.entity.User).getCurrentUser().getFullName()}"-->
    </button>
    <div id="login-form" class="dropdown-content-sm" style="display: none;">
        <a class="btn btn-success w-100 mb-1" th:href="@{/borrows}">
            <i class="fas fa-hammer"></i>
            Moje rezervace
        </a>
        <a class="btn btn-orange w-100 mb-1" th:href="@{/profile}">
            <i class="fas fa-cog"></i>
            Nastavení účtu
        </a>
        <form method="post" th:action="@{/menu/logout}">
            <input type="hidden" name="origUrl" th:value="${#httpServletRequest.requestURI}">
            <button type="submit" class="btn btn-sm btn-outline-secondary w-100">
                <i class="fas fa-sign-out-alt"></i>
                Odhlásit se
            </button>
        </form>
    </div>
</div>


</body>
</html>
